Subject: bug#20164: 25.0.50; Do not tell users that `x-show-tip' is internal

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Aug 2019 21:57:39 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 02 Aug 2019 20:03:54 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I agree that the calling conventions for `x-show-tip' seems to be much
> >> nicer than `tooltip-show'.  
> >
> > If you do, please explain it to me, because the above arguments don't
> > convince me, certainly not that x-show-tip's API is "nicer".  Maybe
> > I'm missing something.
> 
> I think explicit parameters to a function is almost always to be
> preferred to binding variables and then calling a function that takes no
> parameters.  In this case, you're supposed bind `tooltip-{x,y}-offset'
> according to the doc string.

Only if you for some reason don't like the defaults.  Which should
happen rarely, if ever.

> >   https://lists.gnu.org/archive/html/emacs-pretest-bug/2007-03/msg00261.html
> >
> > The conclusion to take out of that discussion is that whoever uses
> > x-show-tip should know very well what they are doing, which is another
> > way of saying "kids, don't try that at home", a.k.a. "an internal
> > function".
> 
> Makes sense to me, and I'm closing this bug report.

Thanks.